version: '3'

volumes:
  production_spaceag_postgres_data: {}

services:
  postgres:
    build:
      context: .
      dockerfile: ./compose/production/postgres/Dockerfile
    image: postgres-spaceag-test
    volumes:
      - production_spaceag_postgres_data:/var/lib/postgresql/data
    env_file:
      - ./.envs/.production/.postgres
  
  web:
    build:
      context: .
      dockerfile: ./compose/production/django/Dockerfile
    image: django-spaceag-test
    depends_on:
      - postgres
    env_file:
      - ./.envs/.production/.django
      - ./.envs/.production/.postgres
    command: /start

  nginx:
    build: 
      context: .
      dockerfile: ./compose/production/nginx/Dockerfile
    ports: 
      - "80:80"
    depends_on:
      - web